<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ExprLookup (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExprLookup (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExprLookup.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/interpol/EnvironmentLookup.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variable.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/ExprLookup.html" target="_top">Frames</a></li>
<li><a href="ExprLookup.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.interpol</div>
<h2 title="Class ExprLookup" class="title">Class ExprLookup</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.interpol.ExprLookup</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ExprLookup</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a></pre>
<div class="block">Lookup that allows expressions to be evaluated.

 <pre>
     ExprLookup.Variables vars = new ExprLookup.Variables();
     vars.add(new ExprLookup.Variable("String", org.apache.commons.lang.StringUtils.class));
     vars.add(new ExprLookup.Variable("Util", new Utility("Hello")));
     vars.add(new ExprLookup.Variable("System", "Class:java.lang.System"));
     XMLConfiguration config = new XMLConfiguration(TEST_FILE);
     config.setLogger(log);
     ExprLookup lookup = new ExprLookup(vars);
     lookup.setConfiguration(config);
     String str = lookup.lookup("'$[element] ' + String.trimToEmpty('$[space.description]')");
 </pre>

 In the example above TEST_FILE contains xml that looks like:
 <pre>
 &lt;configuration&gt;
   &lt;element&gt;value&lt;/element&gt;
   &lt;space xml:space="preserve"&gt;
     &lt;description xml:space="default"&gt;     Some text      &lt;/description&gt;
   &lt;/space&gt;
 &lt;/configuration&gt;
 </pre>

 The result will be "value Some text".

 This lookup uses Apache Commons Jexl and requires that the dependency be added to any
 projects which use this.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ExprLookup.java 1735895 2016-03-20 18:40:47Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
 href="http://commons.apache.org/configuration/team-list.html">Commons Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variable.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variable</a></span></code>
<div class="block">The key and corresponding object that will be made available to the
 JexlContext for use in expressions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a></span></code>
<div class="block">List wrapper used to allow the Variables list to be created as beans in
 DefaultConfigurationBuilder.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#ExprLookup--">ExprLookup</a></span>()</code>
<div class="block">The default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#ExprLookup-org.apache.commons.configuration2.interpol.ExprLookup.Variables-">ExprLookup</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list)</code>
<div class="block">Constructor for use by applications.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#ExprLookup-org.apache.commons.configuration2.interpol.ExprLookup.Variables-java.lang.String-java.lang.String-">ExprLookup</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suffix)</code>
<div class="block">Constructor for use by applications.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#getInterpolator--">getInterpolator</a></span>()</code>
<div class="block">Returns the <code>ConfigurationInterpolator</code> used by this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#getLogger--">getLogger</a></span>()</code>
<div class="block">Returns the logger used by this object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#getVariables--">getVariables</a></span>()</code>
<div class="block">Returns the list of Variables that are accessible within expressions.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#lookup-java.lang.String-">lookup</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;var)</code>
<div class="block">Evaluates the expression.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;interpolator)</code>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used by this object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;logger)</code>
<div class="block">Sets the logger to be used by this object.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#setVariablePrefixMatcher-java.lang.String-">setVariablePrefixMatcher</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Set the prefix to use to identify subordinate expressions.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#setVariables-org.apache.commons.configuration2.interpol.ExprLookup.Variables-">setVariables</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list)</code>
<div class="block">Add the Variables that will be accessible within expressions.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.html#setVariableSuffixMatcher-java.lang.String-">setVariableSuffixMatcher</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suffix)</code>
<div class="block">Set the suffix to use to identify subordinate expressions.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ExprLookup--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExprLookup</h4>
<pre>public&nbsp;ExprLookup()</pre>
<div class="block">The default constructor. Will get used when the Lookup is constructed via
 configuration.</div>
</li>
</ul>
<a name="ExprLookup-org.apache.commons.configuration2.interpol.ExprLookup.Variables-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExprLookup</h4>
<pre>public&nbsp;ExprLookup(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list)</pre>
<div class="block">Constructor for use by applications.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - The list of objects to be accessible in expressions.</dd>
</dl>
</li>
</ul>
<a name="ExprLookup-org.apache.commons.configuration2.interpol.ExprLookup.Variables-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ExprLookup</h4>
<pre>public&nbsp;ExprLookup(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suffix)</pre>
<div class="block">Constructor for use by applications.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - The list of objects to be accessible in expressions.</dd>
<dd><code>prefix</code> - The prefix to use for subordinate lookups.</dd>
<dd><code>suffix</code> - The suffix to use for subordinate lookups.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setVariablePrefixMatcher-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVariablePrefixMatcher</h4>
<pre>public&nbsp;void&nbsp;setVariablePrefixMatcher(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Set the prefix to use to identify subordinate expressions. This cannot be the
 same as the prefix used for the primary expression.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prefix</code> - The String identifying the beginning of the expression.</dd>
</dl>
</li>
</ul>
<a name="setVariableSuffixMatcher-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVariableSuffixMatcher</h4>
<pre>public&nbsp;void&nbsp;setVariableSuffixMatcher(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suffix)</pre>
<div class="block">Set the suffix to use to identify subordinate expressions. This cannot be the
 same as the suffix used for the primary expression.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>suffix</code> - The String identifying the end of the expression.</dd>
</dl>
</li>
</ul>
<a name="setVariables-org.apache.commons.configuration2.interpol.ExprLookup.Variables-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVariables</h4>
<pre>public&nbsp;void&nbsp;setVariables(<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;list)</pre>
<div class="block">Add the Variables that will be accessible within expressions.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - The list of Variables.</dd>
</dl>
</li>
</ul>
<a name="getVariables--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVariables</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>&nbsp;getVariables()</pre>
<div class="block">Returns the list of Variables that are accessible within expressions.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the List of Variables that are accessible within expressions.</dd>
</dl>
</li>
</ul>
<a name="getLogger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogger</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;getLogger()</pre>
<div class="block">Returns the logger used by this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>Log</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
<a name="setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogger</h4>
<pre>public&nbsp;void&nbsp;setLogger(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;logger)</pre>
<div class="block">Sets the logger to be used by this object. If no logger is passed in, no
 log output is generated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>logger</code> - the <code>Log</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
<a name="getInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterpolator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;getInterpolator()</pre>
<div class="block">Returns the <code>ConfigurationInterpolator</code> used by this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ConfigurationInterpolator</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
<a name="setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterpolator</h4>
<pre>public&nbsp;void&nbsp;setInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;interpolator)</pre>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used by this object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>interpolator</code> - the <code>ConfigurationInterpolator</code> (may be
        <b>null</b>)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
<a name="lookup-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lookup</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;lookup(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;var)</pre>
<div class="block">Evaluates the expression.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html#lookup-java.lang.String-">lookup</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>var</code> - The expression.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The String result of the expression.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExprLookup.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/interpol/EnvironmentLookup.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variable.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/ExprLookup.html" target="_top">Frames</a></li>
<li><a href="ExprLookup.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
